import { Camera, Scene, TextureDataType } from 'three';
import * as i0 from "@angular/core";
export interface NgtpEffectComposerOptions {
    enabled: boolean;
    depthBuffer?: boolean;
    /** Only used for SSGI currently, leave it disabled for everything else unless it's needed */
    enableNormalPass?: boolean;
    stencilBuffer?: boolean;
    autoClear: boolean;
    resolutionScale?: number;
    multisampling: number;
    frameBufferType: TextureDataType;
    renderPriority: number;
    camera?: Camera;
    scene?: Scene;
}
export declare class NgtpEffectComposer {
    options: import("@angular/core").InputSignalWithTransform<NgtpEffectComposerOptions, "" | Partial<NgtpEffectComposerOptions>>;
    private injector;
    private store;
    private size;
    private gl;
    private defaultScene;
    private defaultCamera;
    private depthBuffer;
    private stencilBuffer;
    private multisampling;
    private frameBufferType;
    private enableNormalPass;
    private resolutionScale;
    private enabled;
    private renderPriority;
    scene: import("@angular/core").Signal<Scene>;
    camera: import("@angular/core").Signal<Camera>;
    private groupRef;
    private priority;
    private composerData;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtpEffectComposer, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgtpEffectComposer, "ngtp-effect-composer", never, { "options": { "alias": "options"; "required": false; "isSignal": true; }; }, {}, never, ["*"], true, never>;
}
