import { BlendFunction, Effect } from 'postprocessing';
import { Color, Texture, Vector3, WebGLRenderTarget, WebGLRenderer } from 'three';
import * as i0 from "@angular/core";
export declare class LensFlareEffect extends Effect {
    constructor({ blendFunction, enabled, glareSize, lensPosition, iResolution, starPoints, flareSize, flareSpeed, flareShape, animated, anamorphic, colorGain, lensDirtTexture, haloScale, secondaryGhosts, aditionalStreaks, ghostScale, opacity, starBurst, }?: {
        blendFunction?: BlendFunction | undefined;
        enabled?: boolean | undefined;
        glareSize?: number | undefined;
        lensPosition?: number[] | undefined;
        iResolution?: number[] | undefined;
        starPoints?: number | undefined;
        flareSize?: number | undefined;
        flareSpeed?: number | undefined;
        flareShape?: number | undefined;
        animated?: boolean | undefined;
        anamorphic?: boolean | undefined;
        colorGain?: Color | undefined;
        lensDirtTexture?: Texture | null | undefined;
        haloScale?: number | undefined;
        secondaryGhosts?: boolean | undefined;
        aditionalStreaks?: boolean | undefined;
        ghostScale?: number | undefined;
        opacity?: number | undefined;
        starBurst?: boolean | undefined;
    });
    update(_renderer: WebGLRenderer, _inputBuffer: WebGLRenderTarget, deltaTime: number): void;
}
export type LensFlareOptions = ConstructorParameters<typeof LensFlareEffect>[0] & {
    position: Vector3;
    followMouse: boolean;
    smoothTime: number;
};
export declare class NgtpLensFlare {
    options: import("@angular/core").InputSignalWithTransform<{
        blendFunction?: BlendFunction | undefined;
        enabled?: boolean | undefined;
        glareSize?: number | undefined;
        lensPosition?: number[] | undefined;
        iResolution?: number[] | undefined;
        starPoints?: number | undefined;
        flareSize?: number | undefined;
        flareSpeed?: number | undefined;
        flareShape?: number | undefined;
        animated?: boolean | undefined;
        anamorphic?: boolean | undefined;
        colorGain?: Color | undefined;
        lensDirtTexture?: Texture | null | undefined;
        haloScale?: number | undefined;
        secondaryGhosts?: boolean | undefined;
        aditionalStreaks?: boolean | undefined;
        ghostScale?: number | undefined;
        opacity?: number | undefined;
        starBurst?: boolean | undefined;
    } & {
        position: Vector3;
        followMouse: boolean;
        smoothTime: number;
    }, "" | Partial<{
        blendFunction?: BlendFunction | undefined;
        enabled?: boolean | undefined;
        glareSize?: number | undefined;
        lensPosition?: number[] | undefined;
        iResolution?: number[] | undefined;
        starPoints?: number | undefined;
        flareSize?: number | undefined;
        flareSpeed?: number | undefined;
        flareShape?: number | undefined;
        animated?: boolean | undefined;
        anamorphic?: boolean | undefined;
        colorGain?: Color | undefined;
        lensDirtTexture?: Texture | null | undefined;
        haloScale?: number | undefined;
        secondaryGhosts?: boolean | undefined;
        aditionalStreaks?: boolean | undefined;
        ghostScale?: number | undefined;
        opacity?: number | undefined;
        starBurst?: boolean | undefined;
    } & {
        position: Vector3;
        followMouse: boolean;
        smoothTime: number;
    }>>;
    private store;
    private viewport;
    private raycaster;
    private pointer;
    private effectComposer;
    private projectedPosition;
    private mouse2d;
    effect: import("@angular/core").Signal<LensFlareEffect>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtpLensFlare, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgtpLensFlare, "ngtp-lens-flare", never, { "options": { "alias": "options"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
